import request from '@/utils/request'

// 查询网站管理列表
export function listWEBSITE(query) {
  return request({
    url: '/business/WEBSITE/list',
    method: 'get',
    params: query
  })
}

// 查询网站管理所有列表
export function listAllWEBSITE(query) {
  return request({
    url: '/business/WEBSITE/listAll',
    method: 'get',
    params: query
  })
}

// 查询网站管理详细
export function getWEBSITE(websitePicture) {
  return request({
    url: '/business/WEBSITE/getInfo/' + websitePicture,
    method: 'get'
  })
}

// 新增网站管理
export function addWEBSITE(data) {
  return request({
    url: '/business/WEBSITE/add',
    method: 'post',
    data: data
  })
}

// 修改网站管理
export function updateWEBSITE(data) {
  return request({
    url: '/business/WEBSITE/edit',
    method: 'post',
    data: data
  })
}

// 删除网站管理
export function delWEBSITE(websitePicture) {
  return request({
    url: '/business/WEBSITE/remove/' + websitePicture,
    method: 'get'
  })
}
export function upload(data) {
  return request({
    url: 'common/upload',
    method: 'post',
    data:data
  })
}



// 获取文件流
export function downloadpic(data) {
  return request({
    url: '/common/download?delete=false&fileName=' + data ,
    method: 'get',
    responseType: "blob"
  })
}
